summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Jan F. Chadima2020-03-06 16:45:07 +0100
committer Willy Sudiarto Raharjo2020-03-06 16:45:07 +0100
commitdd57e111f3697bfcc15de10fee7154fc726faf5c (patch)
tree0754b2283a1d927e691cbb999eccb361ad0e1419 /perl
parent6eb260abd25682a96031448d5e520ba0160434b7 (diff)
downloadslackbuilds-dd57e111f3697bfcc15de10fee7154fc726faf5c.tar.gz
perl/perl-List-UtilsBy: Updated for version 0.11.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-List-UtilsBy/README4
-rw-r--r--perl/perl-List-UtilsBy/perl-List-UtilsBy.SlackBuild36
-rw-r--r--perl/perl-List-UtilsBy/perl-List-UtilsBy.info12
-rw-r--r--perl/perl-List-UtilsBy/slack-desc10
4 files changed, 21 insertions, 41 deletions
diff --git a/perl/perl-List-UtilsBy/README b/perl/perl-List-UtilsBy/README
index 50bd7d632e..046c4550f8 100644
--- a/perl/perl-List-UtilsBy/README
+++ b/perl/perl-List-UtilsBy/README
@@ -1,3 +1 @@
-List-UtilsBy exports a number of powerful and easy to use methods for
-operating on lists, exceeding what is available provided in the
-standard module List::Util.
+st::UtilsBy - higher-order list utility functions
diff --git a/perl/perl-List-UtilsBy/perl-List-UtilsBy.SlackBuild b/perl/perl-List-UtilsBy/perl-List-UtilsBy.SlackBuild
index 36ed85412d..bf0898e394 100644
--- a/perl/perl-List-UtilsBy/perl-List-UtilsBy.SlackBuild
+++ b/perl/perl-List-UtilsBy/perl-List-UtilsBy.SlackBuild
@@ -1,8 +1,8 @@
#!/bin/sh
-# Slackware build script for List-UtilsBy
+# Slackware build script for perl-List-UtilsBy
-# Copyright 2017 Randall Sawyer, Scarborough ME, USA
+# Copyright 2020 Jan F. Chadima <jfch@jagda.eu>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,39 +23,19 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-List-UtilsBy
-VERSION=${VERSION:-0.10}
+VERSION=${VERSION:-0.11}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
+ARCH=noarch
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
set -e
rm -rf $PKG
@@ -74,12 +54,14 @@ find -L . \
perl Makefile.PL \
PREFIX=/usr \
INSTALLDIRS=vendor \
- INSTALLVENDORMAN1DIR=/usr/man/man1 \
INSTALLVENDORMAN3DIR=/usr/man/man3
make
make test
make install DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
@@ -88,8 +70,8 @@ find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -ar \
- Changes LICENSE README \
+cp -a \
+ Changes LICENSE README* \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/perl/perl-List-UtilsBy/perl-List-UtilsBy.info b/perl/perl-List-UtilsBy/perl-List-UtilsBy.info
index 7dfcc51101..639095ac2d 100644
--- a/perl/perl-List-UtilsBy/perl-List-UtilsBy.info
+++ b/perl/perl-List-UtilsBy/perl-List-UtilsBy.info
@@ -1,10 +1,10 @@
PRGNAM="perl-List-UtilsBy"
-VERSION="0.10"
-HOMEPAGE="https://metacpan.org/release/List-UtilsBy"
-DOWNLOAD="https://cpan.metacpan.org/authors/id/P/PE/PEVANS/List-UtilsBy-0.10.tar.gz"
-MD5SUM="2b4e2ffdfa99ab3eba8e221545c67522"
+VERSION="0.11"
+HOMEPAGE="https://metacpan.org/pod/List::UtilsBy"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/P/PE/PEVANS/List-UtilsBy-0.11.tar.gz"
+MD5SUM="14469e1029060490bc3a563f0e59e5f1"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Randall Sawyer"
-EMAIL="srandallsawyer@gmail.com"
+MAINTAINER="Jan F. Chadima"
+EMAIL="jfch@jagda.eu"
diff --git a/perl/perl-List-UtilsBy/slack-desc b/perl/perl-List-UtilsBy/slack-desc
index b90179f692..91899f0ac8 100644
--- a/perl/perl-List-UtilsBy/slack-desc
+++ b/perl/perl-List-UtilsBy/slack-desc
@@ -6,13 +6,13 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-perl-List-UtilsBy: perl-List-UtilsBy (higher-order list utility functions)
+perl-List-UtilsBy: perl-List-UtilsBy (High level list methods)
+perl-List-UtilsBy:
+perl-List-UtilsBy: This module provides another utilities missing in List::Util
+perl-List-UtilsBy:
+perl-List-UtilsBy: Homepage: https://metacpan.org/pod/List::UtilsBy
perl-List-UtilsBy:
-perl-List-UtilsBy: List-UtilsBy exports a number of powerful and easy to use methods for
-perl-List-UtilsBy: operating on lists, exceeding what is available provided in the
-perl-List-UtilsBy: standard module List::Util.
perl-List-UtilsBy:
-perl-List-UtilsBy: Homepage: https://metacpan.org/release/List-UtilsBy
perl-List-UtilsBy:
perl-List-UtilsBy:
perl-List-UtilsBy: